
QGIS Application - Feature request #728

Added missing "S-JTSK/Krovak (Greenwich)" projection

2007-06-11 12:55 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Projection Support

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10787

Description

Why to add new SRS if there is option to define custom projection? 

1. Because most of WMS providers in SK and CZ offer layers in this SRS. It is impossible to set EPSG code in custom projection

(SRS) so it is useless for WMS and WFS layers. 

 2. Because this is the most used projection in Czech rep. and Slovakia ;-)

Here is origninal definition from proj4 extened epsg (esri) codes

# S-JTSK Krovak East North

<102067> +proj=krovak +lat_0=49.5 +lon_0=24.83333333333333 +alpha=30.28813975277778 +k=0.9999 +x_0=0 +y_0=0

+ellps=bessel +units=m  no_defs <> 

Related issues:

Related to QGIS Application - Bug report # 4945: Missing Krovak East North 10... Closed 2012-02-04

History

#1 - 2007-06-11 12:58 PM - Redmine Admin

Link for modified srs.db: http://gis.fns.uniba.sk/lubos/srs.db.gz

#2 - 2007-06-11 01:04 PM - Tim Sutton

- Status changed from Open to In Progress

Hi

Thanks for this patch. Can you supply it as a single insert statement rather than the entire db?

Many thanks

Tim

#3 - 2007-06-11 01:10 PM - Redmine Admin

insert into tbl_srs values ('2681','S-JTSK (Greenwich) / Krovak','krovak','bessel','+proj=krovak +lat_0=49.5 +lon_0=24.83333333333333

+alpha=30.28813972222222 +k=0.9999 +x_0=0 +y_0=0 +ellps=bessel +pm=greenwich +units=m +no_defs','102067','102067','0');
#4 - 2007-06-11 01:22 PM - Tim Sutton

Applied as  - many thanks for your contribution!

#5 - 2007-06-11 01:22 PM - Tim Sutton

- Resolution set to fixed

- Status changed from In Progress to Closed

#6 - 2008-10-12 05:16 AM - Redmine Admin

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

SRS is missing again since srs.db update in commit:9eca6b7c (SVN r8721) (so it is impossible to load WMS, WFS layers with EPSG 102067). This was

broken already in QGIS 0.11.

#7 - 2008-10-13 07:17 AM - Magnus Homann

Added insert string to postprocess_srs.sql and checked in a new srs.db.

#8 - 2008-10-13 07:24 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Feedback to Closed

#9 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
